if(FALSE) {
	setwd("D:\\Dropbox\\Conferences\\2014-05-30  ISA reproducible research workshop\\code")

	library(knitr)
	spin("output_06.r")
}

#' Reading the data
#' ================
#' Loading data
data(iris)
# ?iris

#' Taking a look at the data we have
str(iris)

#' Creating a data without the Species' labels
iris2 <- iris[, -5]

#' A linear model of petal lengh and width
fit <- lm(Petal.Length ~ Petal.Width, data = iris2)
summary(fit)
with(iris2, plot(Petal.Length ~ Petal.Width))
abline(fit, col = "darkblue", lwd = 3, lty = 4)




#' A scatterplot matrix of the 4 variables in our data
Species <- iris[, 5]
col_Species <- c("#7DB0DD",  "#86B875" , "#E495A5")
pairs(iris[,-5], lower.panel = NULL,
		col = col_Species[as.numeric(Species)], 
		pch = 19, cex= 1.4)
par(xpd=TRUE)
legend(x=0, y=.4, cex = 2,
		legend = as.character(levels(Species)),  
		fill=col_Species)
par(xpd=NA)
# fix legend: https://stat.ethz.ch/pipermail/r-help/2001-September/015374.html


#' Clustering the flowers
#' =======================
#' Create a heirarchical clustering of the flowers
hc <- hclust(dist(scale(iris2)), method = "complete")
#' Turning the hclust object into a dendrogram object for plotting
dend <- as.dendrogram(hc)
# install.packages("dendextend")
require(dendextend)
col_clust <- c("burlywood4", "black", "darkgrey")
dend <- color_branches(dend, k=3, 
				col = col_clust,  groupLabels = 3:1)
dend <- color_labels(dend, col= col_Species[as.numeric(Species[order.dendrogram(dend)])])
dend <- hang.dendrogram(dend)

#' Viewing our dendrogram with colors per each cluster (cutting for 3 clusters)
plot(dend)
legend("topright", cex = 1.5,
		legend = as.character(levels(Species)),  
		fill=col_Species)
